import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class AllenFrame extends Frame 
{
	public static void startApplet(String title) 
	{	Dimension appletSize;

		// create new application frame window
		AllenFrame f = new AllenFrame(title);
		// add applet to frame window
		AllenApp a = new AllenApp(f);
		// initialize the applet
		a.init();
		a.start();
		f.add("Center", a);
	
		// resize frame window to fit applet
		appletSize =  a.getSize();
		f.pack();
		f.setSize(appletSize);

		// show the window
		f.setVisible(true);
	
	}  // end startApplet()


	// constructor needed to pass window title to class Frame
	public AllenFrame(String name) 
	{	super(name);
		addWindowListener(closer);
	}
	
	// Anonymous inner class extending WindowAdapter.  Handles the window close event. 
	WindowAdapter closer = new WindowAdapter()
							{	public void windowClosing(WindowEvent e)
								{	dispose();
								}
							};

	public static void main(String args[])
	{	AllenFrame.startApplet("Allen App Java Application");
	}

}  
