import java.awt.*;
import java.awt.event.*;

public class ColorDialog extends Dialog
{	ColorDialog(Frame frame, Component component)
	{	super(frame, "Color Choice",false);
		this.component = component;
		setSize(200, 100);
		setResizable(false);
		Panel dialogPanel = new Panel(); // Layout the fields and labels
		add("Center", dialogPanel);
		dialogPanel.setLayout(new GridLayout(3, 2, 0, 2));
		dialogPanel.add(new Label("Red"));
		dialogPanel.add(red);
		red.setBackground(Color.red);
		dialogPanel.add(new Label("Green"));
		dialogPanel.add(green);
		green.setBackground(Color.green);
		dialogPanel.add(new Label("Blue"));
		dialogPanel.add(blue);	
		blue.setBackground(Color.blue);
		blue.setForeground(Color.white);
		Panel buttonPanel = new Panel(); // Layout the buttons.  
		add("South", buttonPanel);
		buttonPanel.add( new YesButton());
		buttonPanel.add( new NoButton());	
		
	}
	
	TextField red = new TextField(6);
	TextField green = new TextField(6);
	TextField blue = new TextField(6);
	Component component;
		
	class YesButton extends Button implements ActionListener 
	// Yes button for UserColor dialog.
	{	public YesButton()
		{	super("Do It");
			addActionListener(this);
		}
	
		public void actionPerformed(ActionEvent e)
		{	int r = (red.getText().length()==0)?0:Integer.parseInt(red.getText());
			int g = (green.getText().length()==0)?0:Integer.parseInt(green.getText());
			int b = (blue.getText().length()==0)?0:Integer.parseInt(blue.getText());
			if(r<0) r = 0;
			if(g<0) g = 0;
			if(b<0) b = 0;
			component.setBackground(new Color(Math.min(r,255), Math.min(g, 255), Math.min(b,255)));
			component.repaint();
		}
	}

	class NoButton extends Button implements ActionListener 
	// No button for UserColor dialog.
	{	public NoButton()
		{	super("Cancel");
			addActionListener(this);
		}
	
		public void actionPerformed(ActionEvent e)
		{	ColorDialog.this.setVisible(false);
		}
	}
	
}