import java.awt.*;

public class RoundRectangleFigure extends Figure implements java.io.Serializable
{	public RoundRectangleFigure(String label, int x, int y, int w, int h)
	{	super(label, x, y, w, h);
	}
	
	public void draw(Graphics g)
	{	int x = bounds.x, y = bounds.y, h = bounds.height, w = bounds.width;
		g.drawRoundRect(x, y, w, h, r, r);
		Color c = g.getColor();
		g.setColor(Color.white);
		g.fillRoundRect(x+1, y+1, w - 2, h - 2, r, r);
		g.setColor(Color.red);
		g.drawString(label, x + w/2, y + h/2);
		g.setColor(c);
		if(selected) drawSelectors(g);
	}
	
	public void drawOutline(Graphics g)
	{	int x = bounds.x, y = bounds.y, h = bounds.height, w = bounds.width;
		g.drawRoundRect(x, y, w, h, r, r);
	}
	
	private int r = 15;
}

