import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class AllenFrame extends Frame 
{	public static void start(String title) 
	{	Dimension size;	
		AllenFrame f = new AllenFrame(title);

		AllenApp a = new AllenApp(f);
		a.init();
		a.start();
		size = a.getSize();
		f.add("Center", a);
	
		f.pack();
		f.setSize(size);

		f.setVisible(true);
	
	} 

	public AllenFrame(String name) 
	{	super(name);
		addWindowListener(closer);
	}
	
	// Anonymous inner class extending WindowAdapter.  Handles the window close event. 
	WindowListener closer = new WindowAdapter()
							{	public void windowClosing(WindowEvent e)
								{	dispose();
									System.exit(0);
								}
							};

	public static void main(String args[])
	{	AllenFrame.start("Allen App Java Application");
	}

}  
