import java.awt.*;

public class OvalFigure extends Figure implements java.io.Serializable
{	public OvalFigure(String label, int x, int y, int w, int h)
	{	super(label, x, y, w, h);
	}
	
	public void draw(Graphics g)
	{	int x = bounds.x, y = bounds.y, h = bounds.height, w = bounds.width;
		g.drawOval(x, y, w, h);
		Color c = g.getColor();
		g.setColor(Color.white);
		g.fillOval(x+1, y+1, w - 2, h - 2);
		g.setColor(Color.red);
		g.drawString(label, x + w/2, y + h/2);
		g.setColor(c);
		if(selected) drawSelectors(g);
	}
	
	public void drawOutline(Graphics g)
	{	int x = bounds.x, y = bounds.y, h = bounds.height, w = bounds.width;
		g.drawOval(x, y, w, h);
	}
	
}

