import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class PaintDrawFrame extends Frame 
{	public static void start(String title) 
	{	Dimension size;	
		PaintDrawFrame f = new PaintDrawFrame(title);

		PaintDrawApplet a = new PaintDrawApplet(f);
		a.init();
		a.start();
		size = a.getMinimumSize();
		f.add("Center", a);

		f.pack();
		f.setSize(size);

		f.setVisible(true);
		} 

	public PaintDrawFrame(String name) 
	{	super(name);
		addWindowListener(closer);
	}
	
	// Anonymous inner class extending WindowAdapter.  Handles the window close event. 
	WindowListener closer = new WindowAdapter()
							{	public void windowClosing(WindowEvent e)
								{	dispose();
									System.exit(0);
								}
							};

	public static void main(String args[])
	{	PaintDrawFrame.start("Allen App Java Application");
	}

}  
